Subject: bug#527: input-input-method / Many crashes / Japanese input

From: David Reitter <[email-masked]>
Date: Thu, 3 Jul 2008 11:45:07 +0100

Hi guys,

here's a crash that possibly has to do with the inline input method  
patch in conjunction with Kotoeri input or something related (stack  
trace points to mac_handle_text_input_event), but not knowing the  
code, I can't tell more.

We've got the patch against 2008-04-05 in the version that's crashing.

The Emacs is Aquamacs Emacs (Carbon port, recent 22 branch CVS build).

Given that it's not reproducible, it is probably not sensible to ask  
José to switch to an Emacs without the inline patch, but what I could  
do to help debug this is to update the patch in the nightly builds.

- D

Begin forwarded message:

> From: "Jose Figueroa-O'Farrill" <[email-masked]>
> Date: 3 July 2008 10:52:27 BST
> To: [email-masked]
> Subject: [Aquamacs-bugs] Many crashes in 1.4
> Reply-To: [email-masked]
>
>
> Hi,
>
> It's the third time that Aquamacs 1.4 crashes while typing.  This
> had not happened in a looooong time.  This time I managed to save the
> crash report which I include below.  I'm afraid that I don't know how
> to reproduce it.
>
> Cheers, José
>
>
> Date/Time:      2008-07-02 23:06:09.682 +0200
> OS Version:     10.4.11 (Build 8S165)
> Report Version: 4
>
> Command: Aquamacs Emacs
> Path:    /Applications/Aquamacs Emacs.app/Contents/MacOS/Aquamacs  
> Emacs
> Parent:  WindowServer [62]
>
> Version: Aquamacs 1.4, GNU Emacs 22 ()
>
> PID:    14598
> Thread: 0
>
> Exception:  EXC_BAD_ACCESS (0x0001)
> Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000008
>
> Thread 0 Crashed:
> 0   org.gnu.AquamacsEmacs          	0x00175138  
> mac_handle_text_input_event + 1720
> 1   com.apple.HIToolbox            	0x932ad934  
> DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,  
> HandlerCallRec*) + 692
> 2   com.apple.HIToolbox            	0x932ad08c  
> SendEventToEventTargetInternal(OpaqueEventRef*,  
> OpaqueEventTargetRef*, HandlerCallRec*) + 372
> 3   com.apple.HIToolbox            	0x932b3e90  
> SendEventToEventTarget + 40
> 4   com.apple.HIToolbox            	0x933c2224  
> HandleTextInputEvent(OpaqueEventRef*) + 56
> 5   com.apple.HIToolbox            	0x932b4218  
> ToolboxEventDispatcherHandler(OpaqueEventHandlerCallRef*,  
> OpaqueEventRef*, void*) + 524
> 6   com.apple.HIToolbox            	0x932adb84  
> DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,  
> HandlerCallRec*) + 1284
> 7   com.apple.HIToolbox            	0x932ad08c  
> SendEventToEventTargetInternal(OpaqueEventRef*,  
> OpaqueEventTargetRef*, HandlerCallRec*) + 372
> 8   com.apple.HIToolbox            	0x932b3e90  
> SendEventToEventTarget + 40
> 9   com.apple.HIToolbox            	0x933c2120 SendTSMEvent + 228
> 10  com.apple.HIToolbox            	0x93536f04 SendTextInputEvent +  
> 568
> 11  com.apple.Kotoeri              	0x028159c4  
> KotoeriComponentDispatch + 52888
> 12  com.apple.Kotoeri              	0x02815820  
> KotoeriComponentDispatch + 52468
> 13  com.apple.Kotoeri              	0x02811ab0  
> KotoeriComponentDispatch + 36740
> 14  com.apple.Kotoeri              	0x02811930  
> KotoeriComponentDispatch + 36356
> 15  com.apple.Kotoeri              	0x02810f68  
> KotoeriComponentDispatch + 33852
> 16  ...ple.CoreServices.CarbonCore 	0x90bdd030  
> CallComponentFunctionCommon + 1044
> 17  com.apple.Kotoeri              	0x0280dd38  
> KotoeriComponentDispatch + 21004
> 18  com.apple.Kotoeri              	0x02808d88  
> KotoeriComponentDispatch + 604
> 19  ...ple.CoreServices.CarbonCore 	0x90bdcbb8 CallComponent + 260
> 20  com.apple.HIToolbox            	0x935456f8 TextServiceEventRef +  
> 60
> 21  com.apple.HIToolbox            	0x93536308 TSMEventToTextService  
> + 112
> 22  com.apple.HIToolbox            	0x9353627c TSMEventToInputMethod  
> + 84
> 23  com.apple.HIToolbox            	0x933c1090 utDeliverTSMEvent + 500
> 24  com.apple.HIToolbox            	0x933c0e80 TSMKeyEvent + 88
> 25  com.apple.HIToolbox            	0x93377b34 TSMProcessRawKeyEvent  
> + 920
> 26  com.apple.HIToolbox            	0x933775fc  
> HandleCompatibilityKeyEvent(OpaqueEventRef*) + 308
> 27  com.apple.HIToolbox            	0x932aa6a4  
> HIApplication::EventHandler(OpaqueEventHandlerCallRef*,  
> OpaqueEventRef*, void*) + 788
> 28  com.apple.HIToolbox            	0x932ad934  
> DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,  
> HandlerCallRec*) + 692
> 29  com.apple.HIToolbox            	0x932ad08c  
> SendEventToEventTargetInternal(OpaqueEventRef*,  
> OpaqueEventTargetRef*, HandlerCallRec*) + 372
> 30  com.apple.HIToolbox            	0x932ecd5c CallNextEventHandler  
> + 60
> 31  org.gnu.AquamacsEmacs          	0x001747b4  
> mac_handle_keyboard_event + 68
> 32  com.apple.HIToolbox            	0x932ad934  
> DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,  
> HandlerCallRec*) + 692
> 33  com.apple.HIToolbox            	0x932ad08c  
> SendEventToEventTargetInternal(OpaqueEventRef*,  
> OpaqueEventTargetRef*, HandlerCallRec*) + 372
> 34  com.apple.HIToolbox            	0x932acf08  
> SendEventToEventTargetWithOptions + 40
> 35  com.apple.HIToolbox            	0x933772a4  
> HandleKeyboardEvent(OpaqueEventRef*, unsigned long) + 352
> 36  com.apple.HIToolbox            	0x932b420c  
> ToolboxEventDispatcherHandler(OpaqueEventHandlerCallRef*,  
> OpaqueEventRef*, void*) + 512
> 37  com.apple.HIToolbox            	0x932adb84  
> DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*,  
> HandlerCallRec*) + 1284
> 38  com.apple.HIToolbox            	0x932ad08c  
> SendEventToEventTargetInternal(OpaqueEventRef*,  
> OpaqueEventTargetRef*, HandlerCallRec*) + 372
> 39  com.apple.HIToolbox            	0x932b3e90  
> SendEventToEventTarget + 40
> 40  org.gnu.AquamacsEmacs          	0x0017a158 XTread_socket + 6088
> 41  org.gnu.AquamacsEmacs          	0x00087684 read_avail_input + 340
> 42  org.gnu.AquamacsEmacs          	0x00087898 handle_async_input + 56
> 43  org.gnu.AquamacsEmacs          	0x001489c0 select_and_poll_event  
> + 496
> 44  org.gnu.AquamacsEmacs          	0x00149f08 sys_select + 1544
> 45  org.gnu.AquamacsEmacs          	0x001311d8  
> wait_reading_process_output + 2264
> 46  org.gnu.AquamacsEmacs          	0x0000d098 sit_for + 408
> 47  org.gnu.AquamacsEmacs          	0x0008b9ec read_char + 4188
> 48  org.gnu.AquamacsEmacs          	0x0008d040 read_key_sequence +  
> 2080
> 49  org.gnu.AquamacsEmacs          	0x0008ec3c command_loop_1 + 1036
> 50  org.gnu.AquamacsEmacs          	0x000f2658  
> internal_condition_case + 328
> 51  org.gnu.AquamacsEmacs          	0x0007fe60 command_loop_2 + 64
> 52  org.gnu.AquamacsEmacs          	0x000f24e0 internal_catch + 256
> 53  org.gnu.AquamacsEmacs          	0x0007fb70 command_loop + 144
> 54  org.gnu.AquamacsEmacs          	0x0007fc94 recursive_edit_1 + 180
> 55  org.gnu.AquamacsEmacs          	0x0007fde0 Frecursive_edit + 224
> 56  org.gnu.AquamacsEmacs          	0x0007f76c main + 4076
> 57  org.gnu.AquamacsEmacs          	0x000033ec _start + 760
> 58  org.gnu.AquamacsEmacs          	0x000030f0 start + 48
>
> Thread 1:
> 0   libSystem.B.dylib              	0x9001f88c select + 12
> 1   com.apple.CoreFoundation       	0x907f1240 __CFSocketManager + 472
> 2   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96
>
> Thread 0 crashed with PPC Thread State 64:
>  srr0: 0x0000000000175138 srr1:  
> 0x000000000200f930                        vrsave: 0x0000000000000000
>    cr: 0x44822244          xer: 0x0000000000000004   lr:  
> 0x00000000001750b0  ctr: 0x00000000000e0280
>    r0: 0x00000000000e0eac   r1: 0x00000000bfffb830   r2:  
> 0x0000000000000019   r3: 0x0000000007944f40
>    r4: 0x0000000000000000   r5: 0x00000000081f0800   r6:  
> 0x0000000000000000   r7: 0x0000000000000059
>    r8: 0x0000000000000011   r9: 0x0000000000000000  r10:  
> 0x0000000000000016  r11: 0x0000000000000011
>   r12: 0x00000000bfffb880  r13: 0x0000000000000004  r14:  
> 0x0000000000000000  r15: 0x00000000a32ad698
>   r16: 0x0000000007923160  r17: 0x00000000bfffb920  r18:  
> 0x0000000074657874  r19: 0x0000000000000003
>   r20: 0x0000000000a1e5b0  r21: 0x00000000ffffd96e  r22:  
> 0x0000000000000000  r23: 0x00000000bfffbaa0
>   r24: 0x00000000083ce400  r25: 0x0000000000394a90  r26:  
> 0x0000000001800009  r27: 0x0000000007923160
>   r28: 0x0000000007923580  r29: 0x00000000079262c0  r30:  
> 0x00000000081f10ac  r31: 0x0000000000174a90
>
> Binary Images Description:
>    0x1000 -   0x196fff org.gnu.AquamacsEmacs Aquamacs 1.4, GNU Emacs  
> 22 ()	/Applications/Aquamacs Emacs.app/Contents/MacOS/Aquamacs Emacs
>  0x9ef000 -   0x9f1fff com.apple.textencoding.japanese 2.0	/System/ 
> Library/TextEncodings/Japanese Encodings.bundle/Contents/MacOS/ 
> Japanese Encodings
> 0x175c000 -  0x17c0fff com.DivXInc.DivXDecoder 6.6.0	/Library/ 
> QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
> 0x2808000 -  0x2871fff com.apple.Kotoeri 4.0.4	/System/Library/ 
> Components/Kotoeri.component/Contents/MacOS/Kotoeri
> 0x8f8c0000 - 0x8f961fff com.apple.QuickTimeImporters.component 7.5  
> (861)	/System/Library/QuickTime/QuickTimeImporters.component/ 
> Contents/MacOS/QuickTimeImporters
> 0x8fe00000 - 0x8fe52fff dyld 46.16	/usr/lib/dyld
> 0x90000000 - 0x901bcfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
> 0x90214000 - 0x90219fff libmathCommon.A.dylib 	/usr/lib/system/ 
> libmathCommon.A.dylib
> 0x9021b000 - 0x90268fff com.apple.CoreText 1.0.4 (???)	/System/ 
> Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> Frameworks/CoreText.framework/Versions/A/CoreText
> 0x90293000 - 0x90344fff ATS 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/ 
> Versions/A/ATS
> 0x90373000 - 0x9072efff com.apple.CoreGraphics 1.258.78 (???)	/ 
> System/Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
> 0x907bb000 - 0x90895fff com.apple.CoreFoundation 6.4.11 (368.35)	/ 
> System/Library/Frameworks/CoreFoundation.framework/Versions/A/ 
> CoreFoundation
> 0x908de000 - 0x908defff com.apple.CoreServices 10.4 (???)	/System/ 
> Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
> 0x908e0000 - 0x909e2fff libicucore.A.dylib 	/usr/lib/ 
> libicucore.A.dylib
> 0x90a3c000 - 0x90ac0fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
> 0x90aea000 - 0x90b5afff com.apple.framework.IOKit 1.4 (???)	/System/ 
> Library/Frameworks/IOKit.framework/Versions/A/IOKit
> 0x90b70000 - 0x90b82fff libauto.dylib 	/usr/lib/libauto.dylib
> 0x90b89000 - 0x90e60fff com.apple.CoreServices.CarbonCore 681.17	/ 
> System/Library/Frameworks/CoreServices.framework/Versions/A/ 
> Frameworks/CarbonCore.framework/Versions/A/CarbonCore
> 0x90ec6000 - 0x90f46fff com.apple.CoreServices.OSServices 4.1	/ 
> System/Library/Frameworks/CoreServices.framework/Versions/A/ 
> Frameworks/OSServices.framework/Versions/A/OSServices
> 0x90f90000 - 0x90fd2fff com.apple.CFNetwork 129.22 (129.23)	/System/ 
> Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/ 
> CFNetwork.framework/Versions/A/CFNetwork
> 0x90fe7000 - 0x90ffffff com.apple.WebServices 1.1.2 (1.1.0)	/System/ 
> Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/ 
> WebServicesCore.framework/Versions/A/WebServicesCore
> 0x9100f000 - 0x91090fff com.apple.SearchKit 1.0.7	/System/Library/ 
> Frameworks/CoreServices.framework/Versions/A/Frameworks/ 
> SearchKit.framework/Versions/A/SearchKit
> 0x910d6000 - 0x91100fff com.apple.Metadata 10.4.4 (121.36)	/System/ 
> Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/ 
> Metadata.framework/Versions/A/Metadata
> 0x91111000 - 0x9111ffff libz.1.dylib 	/usr/lib/libz.1.dylib
> 0x91122000 - 0x912ddfff com.apple.security 4.6 (29770)	/System/ 
> Library/Frameworks/Security.framework/Versions/A/Security
> 0x913dc000 - 0x913e5fff com.apple.DiskArbitration 2.1.2	/System/ 
> Library/Frameworks/DiskArbitration.framework/Versions/A/ 
> DiskArbitration
> 0x913ec000 - 0x913f4fff libbsm.dylib 	/usr/lib/libbsm.dylib
> 0x913f8000 - 0x91420fff com.apple.SystemConfiguration 1.8.3	/System/ 
> Library/Frameworks/SystemConfiguration.framework/Versions/A/ 
> SystemConfiguration
> 0x91433000 - 0x9143efff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
> 0x91443000 - 0x914befff com.apple.audio.CoreAudio 3.0.5	/System/ 
> Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
> 0x914fb000 - 0x914fbfff com.apple.ApplicationServices 10.4 (???)	/ 
> System/Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> ApplicationServices
> 0x914fd000 - 0x91535fff com.apple.AE 1.5 (297)	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> AE.framework/Versions/A/AE
> 0x91550000 - 0x91622fff com.apple.ColorSync 4.4.10	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> ColorSync.framework/Versions/A/ColorSync
> 0x91675000 - 0x91706fff com.apple.print.framework.PrintCore 4.6  
> (177.13)	/System/Library/Frameworks/ApplicationServices.framework/ 
> Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
> 0x9174d000 - 0x91804fff com.apple.QD 3.10.25 (???)	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> QD.framework/Versions/A/QD
> 0x91841000 - 0x9189ffff com.apple.HIServices 1.5.3 (???)	/System/ 
> Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> Frameworks/HIServices.framework/Versions/A/HIServices
> 0x918ce000 - 0x918f2fff com.apple.LangAnalysis 1.6.1	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> LangAnalysis.framework/Versions/A/LangAnalysis
> 0x91906000 - 0x9192bfff com.apple.FindByContent 1.5	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> FindByContent.framework/Versions/A/FindByContent
> 0x9193e000 - 0x91980fff com.apple.LaunchServices 182	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> LaunchServices.framework/Versions/A/LaunchServices
> 0x9199c000 - 0x919b0fff com.apple.speech.synthesis.framework 3.3	/ 
> System/Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
> 0x919be000 - 0x91a04fff com.apple.ImageIO.framework 1.5.7	/System/ 
> Library/Frameworks/ApplicationServices.framework/Versions/A/ 
> Frameworks/ImageIO.framework/Versions/A/ImageIO
> 0x91a1b000 - 0x91ae2fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto. 
> 0.9.7.dylib
> 0x91b30000 - 0x91b45fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
> 0x91b4a000 - 0x91b68fff libJPEG.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libJPEG.dylib
> 0x91b6e000 - 0x91c25fff libJP2.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libJP2.dylib
> 0x91c74000 - 0x91c78fff libGIF.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libGIF.dylib
> 0x91c7a000 - 0x91ce4fff libRaw.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libRaw.dylib
> 0x91ce9000 - 0x91d26fff libTIFF.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libTIFF.dylib
> 0x91d2d000 - 0x91d47fff libPng.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libPng.dylib
> 0x91d4c000 - 0x91d4ffff libRadiance.dylib 	/System/Library/ 
> Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ 
> ImageIO.framework/Versions/A/Resources/libRadiance.dylib
> 0x91d51000 - 0x91e3ffff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
> 0x91e5e000 - 0x91e5efff com.apple.Accelerate 1.2.2 (Accelerate  
> 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/ 
> Accelerate
> 0x91e60000 - 0x91f45fff com.apple.vImage 2.4	/System/Library/ 
> Frameworks/Accelerate.framework/Versions/A/Frameworks/ 
> vImage.framework/Versions/A/vImage
> 0x91f4d000 - 0x91f6cfff com.apple.Accelerate.vecLib 3.2.2 (vecLib  
> 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/ 
> Frameworks/vecLib.framework/Versions/A/vecLib
> 0x91fd8000 - 0x92046fff libvMisc.dylib 	/System/Library/Frameworks/ 
> Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/ 
> A/libvMisc.dylib
> 0x92051000 - 0x920e6fff libvDSP.dylib 	/System/Library/Frameworks/ 
> Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/ 
> A/libvDSP.dylib
> 0x92100000 - 0x92688fff libBLAS.dylib 	/System/Library/Frameworks/ 
> Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/ 
> A/libBLAS.dylib
> 0x926bb000 - 0x929e6fff libLAPACK.dylib 	/System/Library/Frameworks/ 
> Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/ 
> A/libLAPACK.dylib
> 0x92a16000 - 0x92b04fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
> 0x92b07000 - 0x92b8ffff com.apple.DesktopServices 1.3.7	/System/ 
> Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/ 
> DesktopServicesPriv
> 0x92bd0000 - 0x92dfbfff com.apple.Foundation 6.4.10 (567.37)	/System/ 
> Library/Frameworks/Foundation.framework/Versions/C/Foundation
> 0x92f28000 - 0x92f46fff libGL.dylib 	/System/Library/Frameworks/ 
> OpenGL.framework/Versions/A/Libraries/libGL.dylib
> 0x92f51000 - 0x92fabfff libGLU.dylib 	/System/Library/Frameworks/ 
> OpenGL.framework/Versions/A/Libraries/libGLU.dylib
> 0x92fc9000 - 0x92fc9fff com.apple.Carbon 10.4 (???)	/System/Library/ 
> Frameworks/Carbon.framework/Versions/A/Carbon
> 0x92fcb000 - 0x92fdffff com.apple.ImageCapture 3.0	/System/Library/ 
> Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> ImageCapture.framework/Versions/A/ImageCapture
> 0x92ff7000 - 0x93007fff com.apple.speech.recognition.framework 3.4	/ 
> System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> SpeechRecognition.framework/Versions/A/SpeechRecognition
> 0x93013000 - 0x93028fff com.apple.securityhi 2.0 (203)	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> SecurityHI.framework/Versions/A/SecurityHI
> 0x9303a000 - 0x930c1fff com.apple.ink.framework 101.2 (69)	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> Ink.framework/Versions/A/Ink
> 0x930d5000 - 0x930e0fff com.apple.help 1.0.3 (32)	/System/Library/ 
> Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/ 
> Versions/A/Help
> 0x930ea000 - 0x93117fff com.apple.openscripting 1.2.5 (???)	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> OpenScripting.framework/Versions/A/OpenScripting
> 0x93131000 - 0x93141fff com.apple.print.framework.Print 5.0 (190.1)	/ 
> System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> Print.framework/Versions/A/Print
> 0x9314d000 - 0x931b3fff com.apple.htmlrendering 1.1.2	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> HTMLRendering.framework/Versions/A/HTMLRendering
> 0x931e4000 - 0x93233fff com.apple.NavigationServices 3.4.4 (3.4.3)	/ 
> System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> NavigationServices.framework/Versions/A/NavigationServices
> 0x93261000 - 0x9327efff com.apple.audio.SoundManager 3.9	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> CarbonSound.framework/Versions/A/CarbonSound
> 0x93290000 - 0x9329dfff com.apple.CommonPanels 1.2.2 (73)	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> CommonPanels.framework/Versions/A/CommonPanels
> 0x932a6000 - 0x935b4fff com.apple.HIToolbox 1.4.10 (???)	/System/ 
> Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ 
> HIToolbox.framework/Versions/A/HIToolbox
> 0x93704000 - 0x93710fff com.apple.opengl 1.4.7	/System/Library/ 
> Frameworks/OpenGL.framework/Versions/A/OpenGL
> 0x94217000 - 0x942dcfff com.apple.audio.toolbox.AudioToolbox 1.4.7	/ 
> System/Library/Frameworks/AudioToolbox.framework/Versions/A/ 
> AudioToolbox
> 0x9432f000 - 0x9432ffff com.apple.audio.units.AudioUnit 1.4	/System/ 
> Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
> 0x94331000 - 0x944f1fff com.apple.QuartzCore 1.4.12	/System/Library/ 
> Frameworks/QuartzCore.framework/Versions/A/QuartzCore
> 0x94580000 - 0x945d0fff libGLImage.dylib 	/System/Library/Frameworks/ 
> OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
> 0x945d9000 - 0x945f4fff com.apple.CoreVideo 1.4.2	/System/Library/ 
> Frameworks/CoreVideo.framework/Versions/A/CoreVideo
> 0x94605000 - 0x94625fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
> 0x947c8000 - 0x947d7fff libCGATS.A.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
> 0x947df000 - 0x947ecfff libCSync.A.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
> 0x94832000 - 0x9484bfff libRIP.A.dylib 	/System/Library/Frameworks/ 
> ApplicationServices.framework/Versions/A/Frameworks/ 
> CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
> 0x94852000 - 0x94b7efff com.apple.QuickTime 7.5.0 (861)	/System/ 
> Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
> 0x94c65000 - 0x94cd6fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
> 0x972fb000 - 0x97329fff libncurses.5.4.dylib 	/usr/lib/libncurses. 
> 5.4.dylib
> 0x9735d000 - 0x97373fff libJapaneseConverter.dylib 	/System/Library/ 
> CoreServices/Encodings/libJapaneseConverter.dylib
> 0x97d87000 - 0x97da6fff com.apple.vecLib 3.2.2 (vecLib 3.2.2)	/ 
> System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
> 0x985ac000 - 0x985b9fff com.apple.agl 2.5.6 (AGL-2.5.6)	/System/ 
> Library/Frameworks/AGL.framework/Versions/A/AGL
> 0x98e2f000 - 0x98e3bfff com.apple.CommonCandidateWindow 1.0.0	/ 
> System/Library/PrivateFrameworks/CommonCandidateWindow.framework/ 
> Versions/A/CommonCandidateWindow
> 0x9a0d1000 - 0x9aeecfff com.apple.QuickTimeComponents.component 7.5  
> (861)	/System/Library/QuickTime/QuickTimeComponents.component/ 
> Contents/MacOS/QuickTimeComponents
>
> Model: PowerBook5,6, BootROM 4.9.1f1, 1 processors, PowerPC G4   
> (1.2), 1.67 GHz, 1 GB
> Graphics: ATI Mobility Radeon 9700, ATY,RV360M11, AGP, 128 MB
> Memory Module: SODIMM0/J25LOWER, 512 MB, DDR SDRAM, PC2700U-25330
> Memory Module: SODIMM1/J25UPPER, 512 MB, DDR SDRAM, PC2700U-25330
> AirPort: AirPort Extreme, 405.1 (3.90.34.0.p18)
> Modem: Jump, V.92, Version 1.0
> Bluetooth: Version 1.9.5f4, 2 service, 1 devices, 1 incoming serial  
> ports
> PCI Card: TXN,PCIXXXX-00, cardbus, PC Card
> Parallel ATA Device: MATSHITADVD-R   UJ-845E
> Parallel ATA Device: Hitachi HTS541010G9AT00, 93.16 GB
> USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/ 
> sec, 500 mA
> USB Device: Apple Internal Keyboard/Trackpad, Apple Computer, Up to  
> 12 Mb/sec, 500 mA
>
>
>
>
>
> -- 
> Prof José M Figueroa-O'Farrill  | Phone: +44 (0) 131 6505066
> Maxwell Institute and           | Fax: +44 (0) 131 6506553
> School of Mathematics           | Mobile: to be changed soon
> University of Edinburgh         | Skype: josemiguelfigueroa
> Edinburgh EH9 3JZ, Scotland, UK | Web: http://www.maths.ed.ac.uk/~jmf
>
> The University of Edinburgh is a charitable body, registered in  
> Scotland, with registration number SC005336.
>
>
>
> -------------------------------------------------------------------------
> Sponsored by: SourceForge.net Community Choice Awards: VOTE NOW!
> Studies have shown that voting for your favorite open source project,
> along with a healthy diet, reduces your potential for chronic lameness
> and boredom. Vote Now at http://www.sourceforge.net/community/cca08
> __
> https://lists.sourceforge.net/lists/listinfo/aquamacs-bugs